Subject: WinMainCRTStartup again
From: [email-masked] (Lucio Benfante)

23 Jan 1997 03:03:21 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,
I have a problem (only one? :)) in linking a GUI application.
I know this question has been already posed, but I didn'd find the answer
in the mailing list archive on the Web. Sorry.

For example, when I compile and link the classical HELLOWIN program (from
Programming Windows 95 by Petzold):

gcc -c -o hellowin.o hellowin.c
gcc -o hellowin.exe hellowin.o -luser32 -lgdi32 -Wl,--subsystem,windows

I receive the warning:

/cygnus/H-i386-cygwin32/bin/ld.exe: warning: cannot find entry symbol
  _WinMainCRTStartup; defaulting to 00401000

Where can I find the WinMainCRTStartup function?

Thanks in advance
  Lucio Benfante

 -----------------------------------------------------------------------
| Benfante Lucio                   |   [email-masked] |
| via Monteriondo 14               |        [email-masked] |
| 37032 Monteforte d'Alpone (VR)   |             Facolta' di Statistica |
| ITALIA                           |              Universita' di Padova |
 -----------------------------------------------------------------------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".